GDAL raster tools on Windows Vista / 64 require GDAL binary path
Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13536

Description

GDAL raster operations did not work on a standalone Windows install of QGIS 1.6.0 on my Vista 64 system. Any attempts to do things

with Raster (such as Raster / Information) resulted in gdalinfo.exe crashing with a Windows error: "gdalinfo.exe has stopped working".

Details are an appcrash, exception code c0000005 offset 0006020b

In discussion on IRC wildintellect suggested setting the binary path in GDAL Tools. I set it to C:/Program Files (x86)/Quantum GIS

Copiapo/bin and now GDAL raster operations work correctly.

I've seen this bug hinted at online a few times (like ticket 3435), and in each case the user was running a 64 bit Windows. Volter on IRC

says he doesn't see the problem in a [[WinXP]] 32 bit install. Perhaps Quantum GIS tries to find GDAL in C:\\Program Files\\ but not in

C:\\Program Files (x86)\\? The latter is the default install path in 64 bit Windows.

History

#1 - 2011-03-05 06:20 AM - Borys Jurgiel

see also #3097, #3170

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-16 02:34 PM - Giuseppe Sucameli

- Pull Request or Patch supplied set to No

Could any Win64 users write here the value of the PATH environment var while QGis standalone is running on a Win 64bit? 

A way to do it is the following one:

1. launch QGis, 

2. open the Python console and run:

import os

os.getenv("PATH")

If you have set the path to Gdal binaries in the GdalTools setting dialog, first remove it, restart Qgis and then try again to retrieve the value of the PATH env

var.
#4 - 2012-01-31 03:35 PM - Jürgen Fischer

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Feedback

#5 - 2012-04-16 06:25 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-02 09:39 AM - Giuseppe Sucameli

- Status changed from Feedback to Closed

Lack of feedbacks for long time (8 months). I'm closing the ticket.
